%define version   1.0.0
%define release   %mkrel 1

%define scim_canna_version 1.0.0
%define skim_version       1.4.3

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:		skim-scim-canna
Summary:	An scim-canna plugin for skim
Version:	%{version}
Release:	%{release}
Group:		System/Internationalization
License:	GPL
URL:		http://sourceforge.jp/projects/scim-imengine/
Source0:	%{name}/%{name}-%{version}.tar.bz2
Patch0:		skim-scim-canna_fix_build.diff.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:		%{libname} = %{version}
Requires:		scim-canna >= %{scim_canna_version}
Requires:		skim >= %{skim_version}
BuildRequires:		scim-canna >= %{scim_canna_version}
BuildRequires:		skim-devel >= %{skim_version}
BuildRequires:		gettext-devel

%description
Skim-scim-canna is an scim-canna plugin for skim.


%package -n %{libname}
Summary:	Skim-scim-canna library
Group:		System/Internationalization
Provides:		%{libname_orig} = %{version}-%{release}

%description -n %{libname}
Skim-scim-canna library.


%prep
%setup -q
%patch0 -p0

%build
# force to regenerate configure
./bootstrap

%configure2_5x --disable-rpath

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_datadir}/apps/skim/pics/*.png
%{_datadir}/config.kcfg/*.kcfg
%{_datadir}/services/skimconfiguredialog/*.desktop

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so


%changelog
* Mon Apr 24 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.0-1mdk
- new release

* Wed Feb 22 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.2.0-2mdk
- fix requires being "scim-canna >= %%{scim-canna_version}"

* Thu Feb 02 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.2.0-1mdk
- new release
- add "--disable-rpath" to avoid rpmlint errors

* Wed Nov 02 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.3-1mdk
- first spec for Mandriva Linux
